## org.apache.commons.math3.analysis.differentiation
Class GradientFunction

    java.lang.Object
      org.apache.commons.math3.analysis.differentiation.GradientFunction

All Implemented Interfaces:
  MultivariateVectorFunction

    public class GradientFunction

extends java.lang.Object
implements MultivariateVectorFunction

Class representing the gradient of a multivariate function.

The vectorial components of the function represent the derivatives with respect to each function parameters.

Since:
  3.1
Version:
  $Id: GradientFunction.java 1416643 2012-12-03 19:37:14Z tn $

Field Summary
`private MultivariateDifferentiableFunction` `f` Underlying real-valued function.

Constructor Summary
`GradientFunction(MultivariateDifferentiableFunction f)` Simple constructor.

Method Summary
`double[]` `value(double[] point)` Compute the value for the function at the given point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### f

    private final MultivariateDifferentiableFunction f

  Underlying real-valued function.

Constructor Detail

### GradientFunction

    public GradientFunction(MultivariateDifferentiableFunction f)

  Simple constructor.

  Parameters:
    `f` - underlying real-valued function

Method Detail

### value

    public double[] value(double[] point)
                   throws java.lang.IllegalArgumentException

  Compute the value for the function at the given point.

  Specified by:
    `value` in interface `MultivariateVectorFunction`
  Parameters:
    `point` - point at which the function must be evaluated
  Returns:
    function value for the given point
  Throws:
    `java.lang.IllegalArgumentException` - if points dimension is wrong

Copyright (c) 2003-2013 Apache Software Foundation